/* Menu */

/* Mobile Style */
@media only screen and (max-width: 768px) {

    .mobile_nav_menu_overlay {
        display: none;
        flex-direction: column;
        align-items: center;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 20;
        width: 100%;
        height: 100%;
        background: rgba(255, 255, 255, 0.9);
        color: #484848;
        font-size: 1.2rem;
    }

    .mobile_nav_menu_overlay .close_btn {
        position: absolute;
        top: 1.5rem;
        right: 1.5rem;
    }

    .mobile_nav_menu_overlay .language_chooser {
        margin-top: 2.5rem;
    }

    .mobile_nav_menu {
        width: 35%;
    }

    .mobile_nav_menu > ul > li {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 2rem;
        text-align: center;
    }
    .mobile_nav_menu > ul > li > a {
        display: block;
        width: 100%;
        padding-bottom: 0.5rem;
        border-bottom: 2px solid #484848;
    }

    .mobile_nav_menu .sub-menu {
        display: none;
        width: 200%;
        margin-top: 0.2rem;
        line-height: 1.5;
    }
    .mobile_nav_menu .sub-menu::after {
        content: '';
        display: block;
        width: 50%;
        margin: 0 auto;
        padding-bottom: 0.2rem;
        border-bottom: 2px solid #484848;
    }
    .mobile_nav_menu .sub-menu li {
        display: inline;
        font-size: 1rem;
    }
    .mobile_nav_menu .sub-menu li a::before {
        content: '・';
    }

    .mobile_nav_menu a {
        color: #484848;
    }

}

/* Desktop Style */
@media screen and (min-width: 769px) {

    .mobile_nav_menu_overlay {
        display: none;
    }

    .nav_menu {
        display: inline-block;
    }

    .nav_menu > ul {
        margin-left: 0;
    }

    .nav_menu > ul > li {
        display: inline-block;
        padding: 0.3rem;
        cursor: default;
    }

    .nav_menu > ul > li > a {
        color: white;
        transition: 0.2s;
    }
    .nav_menu > ul > li:hover > a {
        border-bottom: 0.18rem solid #d3eeff;
        font-weight: 500;
        text-shadow: 0 0 15px white;
    }

    /* Submenu (Dropdown) */
    .nav_menu ul li {
        position: relative;
        margin-left: 0.3rem;
        font-weight: 300;
    }

    .nav_menu .sub-menu {
        display: none;
        position: absolute;
        width: 12.5rem;
        left: 0;
        z-index: 10;
        text-align: left;
    }
    /* sub-menu */
    .nav_menu > ul > li > .sub-menu {
        top: 1.875rem;
        padding-top: 0.625rem;  /* 為了要讓滑鼠在這段空隙時也被當作有 hover 到 */
    }
    /* sub-sub-menu */
    .nav_menu > ul > li > .sub-menu .sub-menu {
        top: 0;
        left: 12rem;
    }

    .nav_menu .sub-menu a {
        display: block;
        width: 100%;
        height: 100%;
        color: #393939;
    }

    .nav_menu .sub-menu li {
        display: block;
        padding: 0.625rem;
        margin-top: 0.06rem;
        background-color: #e1e2e3;
    }

    .nav_menu .sub-menu li:hover {
        background-color: #9d9d9d;
    }

    .nav_menu .sub-menu li:hover > a {
        color: white;
        font-weight: 500;
        text-shadow: 0 0 15px white;
    }

    /* Shadow */
    .nav_menu > ul ul {
        box-shadow: 5px 5px 9px 0 rgba(0, 0, 0, 0.16);
    }

}
